DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# SobelGradient

A linear gradient filter

## SYNOPSIS

`#include "dip_linear.h"`

dip_Error dip_SobelGradient ( in, out, boundary, processDim )

## DATA TYPES

binary, integer, float, complex

## FUNCTION

The SobelGradient filter computes a finite difference gradient (1 0 -1)/2 in the `processDim`, and performs a local (1 2 1)/4 smoothing in the other dimensions. Note that in 2D, this differs by a multiplication factor of 1/8 to the original definition by Sobel.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output
`dip_BoundaryArray` | `boundary` | Boundary conditions
`dip_int` | `processDim` | ProcessDim

## SEE ALSO

General information about convolution

`FiniteDifference`, `Uniform`, `Gauss`, `SeparableConvolution`, `Convolve1d`, `Derivative`